import type { PrezziarioIdprezziario } from "~/schemas/public/Prezziario";
import type { Querier } from "~/server/db";

export const getPrezziarioByIdHandler = async ({
  db,
  input,
}: {
  db: Querier;
  input: {
    idprezziario: PrezziarioIdprezziario;
  };
}) => {
  return await db
    .selectFrom("prezziario")
    .selectAll()
    .where("prezziario.idprezziario", "=", input.idprezziario)
    .executeTakeFirst();
};
